Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl.imageio
Class ImageIOUtil

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.imageio.ImageIOUtil

    public final class ImageIOUtil

extends Object

Helper and convenience methods for ImageIO.

Field Summary
`static Object` | `IMAGEIO_METADATA` Key for ImageInfo's custom objects to embed the ImageIO metadata

Method Summary
`static void` | `dumpMetadataToSystemOut(IIOMetadata iiometa)` Dumps the content of an IIOMetadata instance to System.out.
`static void` | `extractResolution(IIOMetadata iiometa, ImageSize size)` Extracts the resolution information from the standard ImageIO metadata.
`static Element` | `getChild(Element el, String name)` Returns a child element of another element or null if there's no such child.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMAGEIO_METADATA

    public static final Object IMAGEIO_METADATA

  Key for ImageInfo's custom objects to embed the ImageIO metadata

Method Detail

### extractResolution

    public static void extractResolution(IIOMetadata iiometa,
                                         ImageSize size)

  Extracts the resolution information from the standard ImageIO metadata.

  Parameters:
    `iiometa` - the metadata provided by ImageIO
    `size` - the image size object

### getChild

    public static Element getChild(Element el,
                                   String name)

  Returns a child element of another element or null if there's no such child.

  Parameters:
    `el` - the parent element
    `name` - the name of the requested child
  Returns:
    the child or null if there's no such child

### dumpMetadataToSystemOut

    public static void dumpMetadataToSystemOut(IIOMetadata iiometa)

  Dumps the content of an IIOMetadata instance to System.out.

  Parameters:
    `iiometa` - the metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.